import core.modules
import core.modules.module_registry
from core.modules.vistrails_module import Module, ModuleError

import SelfeReaders
import SelfeUtils

version = '0.1.0'
name = 'SELFE Readers'
identifier = 'edu.utah.sci.eranders.selfe'

def initialize(*args, **keywords):
    reg = core.modules.module_registry
    basic = core.modules.basic_modules

    clslst = [SelfeReaders.SelfeReader,
              SelfeReaders.SelfeArrayReader,
              SelfeReaders.GridPakReader,
              SelfeUtils.SelfeArrayToVTKScalars,
              SelfeUtils.SelfeArrayToVTKVectors]

    for c in clslst:
        c.register(reg, basic)

def package_dependencies():
    import core.packagemanager
    manager = core.packagemanager.get_package_manager()
    if manager.has_package('edu.utah.sci.vistrails.numpyscipy') and manager.has_package('edu.utah.sci.vistrails.vtk'):
        return ['edu.utah.sci.vistrails.numpyscipy', 'edu.utah.sci.vistrails.vtk']
    else:
        return []
